com.google.gwt.user.cellview.client

## Class PageSizePager

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.google.gwt.user.cellview.client.AbstractPager
        - - com.google.gwt.user.cellview.client.PageSizePager

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

    public class PageSizePager
    extends AbstractPager

A simple pager that controls the page size.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Field Summary

### Fields inherited from class com.google.gwt.user.cellview.client.AbstractPager

`rangeChangeHandler, rowCountChangeHandler`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`PageSizePager(int increment)` Construct a PageSizePager with a given increment.

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) boolean` `isShowLessButtonVisible()` Visible for testing.
`(package private) boolean` `isShowMoreButtonVisible()` Visible for testing.
`protected void` `onRangeOrRowCountChanged()` Called when the range or row count changes.
`void` `setDisplay(HasRows display)` Set the `HasRows` to be paged.
`void` `setPageSize(int pageSize)` Set the page size of the display.

### Methods inherited from class com.google.gwt.user.cellview.client.AbstractPager

`firstPage, getDisplay, getPage, getPageCount, getPageSize, getPageStart, hasNextPage, hasNextPages, hasPage, hasPreviousPage, hasPreviousPages, isRangeLimited, lastPage, lastPageStart, nextPage, previousPage, setPage, setPageStart, setRangeLimited`

### Methods inherited from class com.google.gwt.user.client.ui.Composite

`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageSizePager

    @UiConstructor
    public PageSizePager(int increment)

Construct a PageSizePager with a given increment.

Parameters:
  `increment` - the amount by which to increase the page size

### Method Detail

#### setDisplay

    public void setDisplay(HasRows display)

Description copied from class: `AbstractPager`
Set the `HasRows` to be paged.

Overrides:
  `setDisplay` in class `AbstractPager`
Parameters:
  `display` - the `HasRows`
See Also:
  `AbstractPager.getDisplay()`

#### setPageSize

    public void setPageSize(int pageSize)

Description copied from class: `AbstractPager`
Set the page size of the display.

Overrides:
  `setPageSize` in class `AbstractPager`
Parameters:
  `pageSize` - the new page size
See Also:
  `AbstractPager.getPageSize()`

#### onRangeOrRowCountChanged

    protected void onRangeOrRowCountChanged()

Description copied from class: `AbstractPager`
Called when the range or row count changes. Implement this method to update the pager.

Specified by:
  `onRangeOrRowCountChanged` in class `AbstractPager`

#### isShowLessButtonVisible

    boolean isShowLessButtonVisible()

Visible for testing.

#### isShowMoreButtonVisible

    boolean isShowMoreButtonVisible()

Visible for testing.